<?php

class UserLevel extends AppModel {

    var $name = 'UserLevel';
	var $validate = array(
		'name' => array(
			array('rule' => array('unique'), 'message' => 'Name already exists. Please, choose another one', 'on' => 'create'),
		),
	);

	var $actsAs = array('Acl' => array('type' => 'requester'));

	var $hasMany = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_level_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);


	function parentNode() {
		return null;
	}
	
}
